
#ifndef LABEL_WITH_DOUBLE_CLICK_HPP_VP_2006_04_04
#define LABEL_WITH_DOUBLE_CLICK_HPP_VP_2006_04_04

#include <tqlabel.h>

class LabelWithDoubleClick : public TQLabel
{
    Q_OBJECT
  
public:
    LabelWithDoubleClick(const TQString& s, TQWidget* parent);

signals:
    void doubleClicked();

protected:
    void mouseDoubleClickEvent(TQMouseEvent*);
};

#endif
